fop 2.3

## org.apache.fop.pdf
Enum PDFUAMode

    java.lang.Object
      java.lang.Enum<PDFUAMode>
          org.apache.fop.pdf.PDFUAMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PDFUAMode>

    public enum PDFUAMode

extends java.lang.Enum<PDFUAMode>

Enum class for PDF/UA modes.

Enum Constant Summary
`DISABLED` PDF/UA disabled.
`PDFUA_1` PDF/UA-1 enabled.

Method Summary
`java.lang.String` `getName()`
`int` `getPart()`
`static PDFUAMode` `getValueOf(java.lang.String s)` Returns the mode enum object given a String.
`boolean` `isEnabled()` Returns `true` if this enum corresponds to one of the available PDF/A modes.
`java.lang.String` `toString()`
`static PDFUAMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PDFUAMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISABLED

    public static final PDFUAMode DISABLED

  PDF/UA disabled.

### PDFUA_1

    public static final PDFUAMode PDFUA_1

  PDF/UA-1 enabled.

Method Detail

### values

    public static PDFUAMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PDFUAMode c : PDFUAMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PDFUAMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  Returns:
    the name of the enum

### getPart

    public int getPart()

### isEnabled

    public boolean isEnabled()

  Returns `true` if this enum corresponds to one of the available PDF/A modes.

  Returns:
    `true` if this is not DISABLED

### getValueOf

    public static PDFUAMode getValueOf(java.lang.String s)

  Returns the mode enum object given a String.

  Parameters:
    `s` - the string
  Returns:
    the PDFAMode enum object (DISABLED will be returned if no match is found)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<PDFUAMode>`

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.